<h2>Login</h2>
    <form (ngSubmit)="onSubmit()">
      <div class="form-group">
        <label for="username">Username</label>
        <input type="text" class="form-control" id="username" [(ngModel)]="username" name="username">
      </div>
      <div class="form-group">
        <label for="password">Password</label>
        <input type="password" class="form-control" id="password" [(ngModel)]="password" name="password">
      </div>
      <button type="submit" class="btn btn-primary">Login</button>
    </form>
